Bug 185689 - ISO from D50 doesn't show
ISO from D50 doesn't show
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gqview (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 17:11 EST by Kim Lux
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 06:14:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture with EXIF data that isn't displayed. (422.12 KB, image/jpeg)
2006-03-16 23:48 EST, Kim Lux
no flags Details
No EXIF in this one either (1.53 MB, image/jpeg)
2006-03-20 21:44 EST, Kim Lux
no flags Details

  None (edit)
Description Kim Lux 2006-03-16 17:11:50 EST
Description of problem:  
  
ISO and other data doesn't show in EXIF view  
  
Version-Release number of selected component (if applicable):  
  
$ gqview -v  
GQview 2.0.1  
  
  
How reproducible:  
  
Every time.  Works fine with other cameras.  
Steps to Reproduce:  
1. Take pictures with D50.  
2. Upload to PC  
3. View in gqview.  Open EXIF view.  
    
Actual results:  
  
ISO and other info missing.   
  
Expected results:  
  
Should see ISO and other stuff.   
  
Additional info:  
  
Here is some discussion about it in other viewers.  
 
http://www.stevesforums.com/forums/view_topic.php?id=70817&forum_id=58
Comment 1 Christopher Aillon 2006-03-16 17:18:56 EST
gqview is Fedora Extras, not Core.  Re-assigning.
Comment 2 Michael Schwendt 2006-03-16 19:46:50 EST
Can you provide a test file? EXIF information within a digicam
picture is displayed fine here.
Comment 3 Kim Lux 2006-03-16 23:48:13 EST
Created attachment 126263 [details]
Picture with EXIF data that isn't displayed.
Comment 4 Michael Schwendt 2006-03-17 06:14:19 EST
I see no such EXIF ISO speed rating tag (0x8827) in your file and not
with a hexdump either, whereas other files taken with other cameras
contain it.

EXIF tags in '/home/qa/Desktop/testpic_bug185689.jpg' ('Motorola' byte order):
--------------------+----------------------------------------------------------
Tag                 |Value                                                     
--------------------+----------------------------------------------------------
Manufacturer        |NIKON CORPORATION                                         
Model               |NIKON D70s                                                
Orientation         |top - left                                                
x-Resolution        |300.00                                                    
y-Resolution        |300.00                                                    
Resolution Unit     |Inch                                                      
Software            |Adobe Photoshop CS2 Windows                               
Date and Time       |2006:03:07 17:36:24                                       
YCbCr Positioning   |co-sited                                                  
Compression         |JPEG compression                                          
x-Resolution        |72.00                                                     
y-Resolution        |72.00                                                     
Resolution Unit     |Inch                                                      
Exposure Time       |1/399 sec.                                                
FNumber             |f/9.0                                                     
ExposureProgram     |Aperture priority                                         
Exif Version        |Exif Version 2.21                                         
Date and Time (origi|2006:03:05 15:14:40                                       
Date and Time (digit|2006:03:05 15:14:40                                       
ComponentsConfigurat|Y Cb Cr -                                                 
Compressed Bits per |4.00                                                      
Exposure Bias       |-0.7                                                      
MaxApertureValue    |3.00                                                      
Metering Mode       |Pattern                                                   
Light Source        |10                                                        
Flash               |Flash did not fire.                                       
Focal Length        |200.0 mm                                                  
User Comment        |                                                          
SubsecTime          |00                                                        
SubSecTimeOriginal  |00                                                        
SubSecTimeDigitized |00                                                        
FlashPixVersion     |FlashPix Version 1.0                                      
Color Space         |sRGB                                                      
PixelXDimension     |1053                                                      
PixelYDimension     |700                                                       
Sensing Method      |One-chip color area sensor                                
File Source         |DSC                                                       
Scene Type          |                                                          
CFA Pattern         |                                                          
Custom Rendered     |Custom process                                            
Exposure Mode       |Auto exposure                                             
White Balance       |Manual white balance                                      
Digital Zoom Ratio  |1.00                                                      
Focal Length In 35mm|300                                                       
Scene Capture Type  |Standard                                                  
Gain Control        |Normal                                                    
Contrast            |Normal                                                    
Saturation          |Normal                                                    
Sharpness           |Hard                                                      
Subject Distance Ran|Unknown                                                   
InteroperabilityInde|R98                                                       
InteroperabilityVers|                                                          
--------------------+----------------------------------------------------------
EXIF data contains a thumbnail (6103 bytes).
Comment 5 Kim Lux 2006-03-19 19:07:50 EST
I'll check if it is a camera problem this week. 
Comment 6 Kim Lux 2006-03-20 21:44:48 EST
Created attachment 126373 [details]
No EXIF in this one either

Straight from the D50.

The EXIF data isn't stored in the standard location.

Read about it here:
http://forums.dpreview.com/forums/read.asp?forum=1034&message=16162626
Comment 7 Kim Lux 2006-03-20 21:45:51 EST
Here is another one:

http://forums.dpreview.com/forums/read.asp?forum=1034&message=15749229
Comment 8 Michael Schwendt 2006-03-21 04:52:16 EST
> The EXIF data isn't stored in the standard location.

That's also what the thread said you linked to originally. Quote:

    Nikon hides the ISO setting in the EXIF "MakerNotes" field.

If you believe the developers of GQview should hack such a proprietary
extension into their EXIF support, get in contact with them:

    http://sourceforge.net/projects/gqview
Comment 9 Kim Lux 2006-03-21 09:35:48 EST
I logged it as a request on gqviews' sourceforge project request page.  

http://sourceforge.net/tracker/index.php?func=detail&aid=1455412&group_id=4050&atid=354050

Note You need to log in before you can comment on or make changes to this bug.